%define realname django-tagging

Name:           python-django-tagging
Version:        0.5.0
Release:        %mkrel 3
Summary:        A generic tagging application for Django projects

Group:          Development/Python
License:        MIT
URL:            https://github.com/Fantomas42/django-tagging
Source0:        https://pypi.io/packages/source/d/%{realname}/%{realname}-%{version}.tar.gz
Patch0:         django-tagging-utf8-v0.4.patch
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.

%package -n python3-django-tagging
Summary:        A generic tagging application for Django projects
Group:          Development/Python
Requires:       python3dist(django)

%description -n python3-django-tagging
A generic tagging application for Django projects, which allows association
of a number of tags with any Model instance and makes retrieval of tags
simple.

%prep
%setup -q -n %{realname}-%{version}
%autopatch -p0

# drop bundled egg-info
rm -rf django_tagging.egg-info/

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

# generate html docs
PYTHONPATH=${PWD} sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%files -n python3-django-tagging
%doc CHANGELOG.txt README.rst
%doc html
%license LICENSE.txt
%{python3_sitelib}/tagging
%{python3_sitelib}/django_tagging-%{version}-py%{python3_version}.egg-info


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 0.5.0-3.mga10
+ Revision: 2035823
- rebuild for python 3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.5.0-2.mga9
+ Revision: 1832923
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.5.0-1.mga9
+ Revision: 1785084
- version 0.5.0
- rediff Patch0
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4.6-4.mga9
+ Revision: 1732977
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4.6-3.mga8
+ Revision: 1535218
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 0.4.6-2.mga8
+ Revision: 1451596
- rebuild with python 3.8

* Wed Aug 21 2019 wally <wally> 0.4.6-1.mga8
+ Revision: 1430997
- new version 0.4.6
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 0.4.3-4.mga7
+ Revision: 1355185
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.3-3.mga7
+ Revision: 1288773
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.4.3-2.mga7
+ Revision: 1135391
- Rebuild for python 3.6

* Wed May 04 2016 philippem <philippem> 0.4.3-1.mga6
+ Revision: 1009205
- update to 0.4.3

* Sat Feb 20 2016 umeabot <umeabot> 0.4-2.mga6
+ Revision: 971239
- Mageia 6 Mass Rebuild

* Mon Oct 12 2015 philippem <philippem> 0.4-1.mga6
+ Revision: 890078
- update to 0.4, add Python3

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-9.mga5
+ Revision: 747868
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-8.mga5
+ Revision: 728350
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 687996
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.1-5.mga4
+ Revision: 543388
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.1-4.mga4
+ Revision: 498415
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-3.mga3
+ Revision: 378736
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 27 2011 ahmad <ahmad> 0.3.1-2.mga1
+ Revision: 42433
- imported package python-django-tagging


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.3.1-2mdv2011.0
+ Revision: 592233
- rebuild for python 2.7

* Wed Jan 27 2010 Frederik Himpe <fhimpe@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 497414
- Update to new version 0.3.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.3-20080217svnr154.2mdv2010.0
+ Revision: 442097
- rebuild

* Fri Mar 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.3-20080217svnr154.1mdv2009.1
+ Revision: 349666
- import python-django-tagging


